/*
 * Interface wrapper code.
 *
 * Generated by SIP 4.17
 */

#include "sipAPIlibrviz_sip.h"

#line 7 "display.sip"
#define ROS_PACKAGE_NAME "rviz"
#include <rviz/display.h>
#line 13 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"

#line 26 "/usr/share/sip/PyQt5/QtGui/qicon.sip"
#include <qicon.h>
#line 17 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 27 "/usr/share/sip/PyQt5/QtCore/qstring.sip"
#include <qstring.h>
#line 20 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 7 "config.sip"
#define ROS_PACKAGE_NAME "rviz"
#include <rviz/config.h>
#line 24 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 7 "property.sip"
#define ROS_PACKAGE_NAME "rviz"
#include <rviz/properties/property.h>
#line 28 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 28 "/usr/share/sip/PyQt5/QtWidgets/qwidget.sip"
#include <qwidget.h>
#line 31 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 560 "/usr/share/sip/PyQt5/QtWidgets/qstyleoption.sip"
#include <qstyleoption.h>
#line 34 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 26 "/usr/share/sip/PyQt5/QtGui/qpainter.sip"
#include <qpainter.h>
#line 37 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qnamespace.sip"
#include <qnamespace.h>
#line 40 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qvariant.sip"
#include <qvariant.h>
#line 43 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qmetaobject.sip"
#include <qmetaobject.h>
#line 46 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qcoreevent.sip"
#include <qcoreevent.h>
#line 49 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 244 "/usr/share/sip/PyQt5/QtCore/qcoreevent.sip"
#include <qcoreevent.h>
#line 52 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 232 "/usr/share/sip/PyQt5/QtCore/qcoreevent.sip"
#include <qcoreevent.h>
#line 55 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 28 "/usr/share/sip/PyQt5/QtCore/qobject.sip"
#include <qobject.h>
#line 58 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 36 "/usr/share/sip/PyQt5/QtCore/qpycore_qlist.sip"
#include <qlist.h>
#line 61 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 32 "/usr/share/sip/PyQt5/QtCore/qbytearray.sip"
#include <qbytearray.h>
#line 64 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 144 "/usr/share/sip/PyQt5/QtCore/qpycore_qlist.sip"
#include <qlist.h>
#line 67 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qnamespace.sip"
#include <qnamespace.h>
#line 70 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qthread.sip"
#include <qthread.h>
#line 73 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qnamespace.sip"
#include <qnamespace.h>
#line 76 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qregexp.sip"
#include <qregexp.h>
#line 79 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qregularexpression.sip"
#include <qregularexpression.h>
#line 82 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qobjectdefs.sip"
#include <qobjectdefs.h>
#line 85 "/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizDisplay.cpp"


extern "C" {static PyObject *meth_rviz_Display_getClassId(PyObject *, PyObject *);}
static PyObject *meth_rviz_Display_getClassId(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    bool sipSelfWasArg = (!sipSelf || sipIsDerived((sipSimpleWrapper *)sipSelf));

    {
        const rviz::Display *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "B", &sipSelf, sipType_rviz_Display, &sipCpp))
        {
            QString*sipRes;

            sipRes = new QString((sipSelfWasArg ? sipCpp->rviz::Display::getClassId() : sipCpp->getClassId()));

            return sipConvertFromNewType(sipRes,sipType_QString,NULL);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_Display, sipName_getClassId, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_Display_setClassId(PyObject *, PyObject *);}
static PyObject *meth_rviz_Display_setClassId(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    bool sipSelfWasArg = (!sipSelf || sipIsDerived((sipSimpleWrapper *)sipSelf));

    {
        const QString* a0;
        int a0State = 0;
        rviz::Display *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "BJ1", &sipSelf, sipType_rviz_Display, &sipCpp, sipType_QString,&a0, &a0State))
        {
            (sipSelfWasArg ? sipCpp->rviz::Display::setClassId(*a0) : sipCpp->setClassId(*a0));
            sipReleaseType(const_cast<QString *>(a0),sipType_QString,a0State);

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_Display, sipName_setClassId, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_Display_load(PyObject *, PyObject *);}
static PyObject *meth_rviz_Display_load(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    bool sipSelfWasArg = (!sipSelf || sipIsDerived((sipSimpleWrapper *)sipSelf));

    {
        const rviz::Config* a0;
        rviz::Display *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "BJ9", &sipSelf, sipType_rviz_Display, &sipCpp, sipType_rviz_Config, &a0))
        {
            (sipSelfWasArg ? sipCpp->rviz::Display::load(*a0) : sipCpp->load(*a0));

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_Display, sipName_load, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_Display_save(PyObject *, PyObject *);}
static PyObject *meth_rviz_Display_save(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    bool sipSelfWasArg = (!sipSelf || sipIsDerived((sipSimpleWrapper *)sipSelf));

    {
        rviz::Config* a0;
        const rviz::Display *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "BJ9", &sipSelf, sipType_rviz_Display, &sipCpp, sipType_rviz_Config, &a0))
        {
            (sipSelfWasArg ? sipCpp->rviz::Display::save(*a0) : sipCpp->save(*a0));

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_Display, sipName_save, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_Display_isEnabled(PyObject *, PyObject *);}
static PyObject *meth_rviz_Display_isEnabled(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;

    {
        const rviz::Display *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "B", &sipSelf, sipType_rviz_Display, &sipCpp))
        {
            bool sipRes;

            sipRes = sipCpp->isEnabled();

            return PyBool_FromLong(sipRes);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_Display, sipName_isEnabled, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_Display_setFixedFrame(PyObject *, PyObject *);}
static PyObject *meth_rviz_Display_setFixedFrame(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;

    {
        const QString* a0;
        int a0State = 0;
        rviz::Display *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "BJ1", &sipSelf, sipType_rviz_Display, &sipCpp, sipType_QString,&a0, &a0State))
        {
            sipCpp->setFixedFrame(*a0);
            sipReleaseType(const_cast<QString *>(a0),sipType_QString,a0State);

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_Display, sipName_setFixedFrame, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_Display_update(PyObject *, PyObject *);}
static PyObject *meth_rviz_Display_update(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    bool sipSelfWasArg = (!sipSelf || sipIsDerived((sipSimpleWrapper *)sipSelf));

    {
        float a0;
        float a1;
        rviz::Display *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "Bff", &sipSelf, sipType_rviz_Display, &sipCpp, &a0, &a1))
        {
            (sipSelfWasArg ? sipCpp->rviz::Display::update(a0,a1) : sipCpp->update(a0,a1));

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_Display, sipName_update, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_Display_reset(PyObject *, PyObject *);}
static PyObject *meth_rviz_Display_reset(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    bool sipSelfWasArg = (!sipSelf || sipIsDerived((sipSimpleWrapper *)sipSelf));

    {
        rviz::Display *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "B", &sipSelf, sipType_rviz_Display, &sipCpp))
        {
            (sipSelfWasArg ? sipCpp->rviz::Display::reset() : sipCpp->reset());

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_Display, sipName_reset, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_Display_deleteStatus(PyObject *, PyObject *);}
static PyObject *meth_rviz_Display_deleteStatus(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    bool sipSelfWasArg = (!sipSelf || sipIsDerived((sipSimpleWrapper *)sipSelf));

    {
        const QString* a0;
        int a0State = 0;
        rviz::Display *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "BJ1", &sipSelf, sipType_rviz_Display, &sipCpp, sipType_QString,&a0, &a0State))
        {
            (sipSelfWasArg ? sipCpp->rviz::Display::deleteStatus(*a0) : sipCpp->deleteStatus(*a0));
            sipReleaseType(const_cast<QString *>(a0),sipType_QString,a0State);

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_Display, sipName_deleteStatus, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_Display_setIcon(PyObject *, PyObject *);}
static PyObject *meth_rviz_Display_setIcon(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;

    {
        const QIcon* a0;
        rviz::Display *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "BJ9", &sipSelf, sipType_rviz_Display, &sipCpp, sipType_QIcon, &a0))
        {
            sipCpp->setIcon(*a0);

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_Display, sipName_setIcon, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_Display_setEnabled(PyObject *, PyObject *);}
static PyObject *meth_rviz_Display_setEnabled(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;

    {
        bool a0;
        rviz::Display *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "Bb", &sipSelf, sipType_rviz_Display, &sipCpp, &a0))
        {
            sipCpp->setEnabled(a0);

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_Display, sipName_setEnabled, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_Display_queueRender(PyObject *, PyObject *);}
static PyObject *meth_rviz_Display_queueRender(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;

    {
        rviz::Display *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "B", &sipSelf, sipType_rviz_Display, &sipCpp))
        {
            sipCpp->queueRender();

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_Display, sipName_queueRender, NULL);

    return NULL;
}


/* Cast a pointer to a type somewhere in its superclass hierarchy. */
extern "C" {static void *cast_rviz_Display(void *, const sipTypeDef *);}
static void *cast_rviz_Display(void *ptr, const sipTypeDef *targetType)
{
    void *res;

    if (targetType == sipType_rviz_Display)
        return ptr;

    if ((res = ((const sipClassTypeDef *)sipType_rviz_Property)->ctd_cast((rviz::Property *)(rviz::Display *)ptr,targetType)) != NULL)
        return res;

    return NULL;
}


/* Call the instance's destructor. */
extern "C" {static void release_rviz_Display(void *, int);}
static void release_rviz_Display(void *sipCppV,int)
{
    rviz::Display *sipCpp = reinterpret_cast<rviz::Display *>(sipCppV);

    if (QThread::currentThread() == sipCpp->thread())
        delete sipCpp;
    else
        sipCpp->deleteLater();
}


extern "C" {static void dealloc_rviz_Display(sipSimpleWrapper *);}
static void dealloc_rviz_Display(sipSimpleWrapper *sipSelf)
{
    if (sipIsPyOwned(sipSelf))
    {
        release_rviz_Display(sipGetAddress(sipSelf),0);
    }
}


/* Define this type's super-types. */
static sipEncodedTypeDef supers_rviz_Display[] = {{9, 255, 1}};


static PyMethodDef methods_rviz_Display[] = {
    {SIP_MLNAME_CAST(sipName_deleteStatus), meth_rviz_Display_deleteStatus, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_getClassId), meth_rviz_Display_getClassId, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_isEnabled), meth_rviz_Display_isEnabled, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_load), meth_rviz_Display_load, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_queueRender), meth_rviz_Display_queueRender, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_reset), meth_rviz_Display_reset, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_save), meth_rviz_Display_save, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_setClassId), meth_rviz_Display_setClassId, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_setEnabled), meth_rviz_Display_setEnabled, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_setFixedFrame), meth_rviz_Display_setFixedFrame, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_setIcon), meth_rviz_Display_setIcon, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_update), meth_rviz_Display_update, METH_VARARGS, NULL}
};


pyqt5ClassTypeDef sipTypeDef_librviz_sip_rviz_Display = {
{
    {
        -1,
        0,
        0,
        SIP_TYPE_SCC|SIP_TYPE_SUPER_INIT|SIP_TYPE_CLASS,
        sipNameNr_rviz__Display,
        {0}
    },
    {
        sipNameNr_Display,
        {0, 255, 0},
        12, methods_rviz_Display,
        0, 0,
        0, 0,
        {0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
    },
    0,
    -1,
    -1,
    supers_rviz_Display,
    0,
    0,
    0,
    0,
#if PY_MAJOR_VERSION >= 3
    0,
    0,
#else
    0,
    0,
    0,
    0,
#endif
    dealloc_rviz_Display,
    0,
    0,
    0,
    release_rviz_Display,
    cast_rviz_Display,
    0,
    0,
    0,
    0,
    0,
    0
},
    &rviz::Display::staticMetaObject,
    0,
    0,
    0
};
